import { useEffect } from "react";

import TopBar from "./components/TopBar";
import BottomBar from "./components/BottomBar";
//cssJs
import cssJs from "./components/js/css";
import selectors from "./components/js/selectors";

function App() {
  let { qs_a, on } = selectors;
  const searchParams = new URLSearchParams(document.location.search);

  useEffect(() => {
    cssJs();

    let colors_ = [
      "0",
      "1",
      "2",
      "3",
      "4",
      "5",
      "6",
      "7",
      "8",
      "9",
      "a",
      "b",
      "c",
      "d",
      "e",
      "f",
    ];
    const random_ = () => {
      let color_ = "";

      color_ += colors_[Math.floor(Math.random() * colors_.length)];
      color_ += colors_[Math.floor(Math.random() * colors_.length)];
      color_ += colors_[Math.floor(Math.random() * colors_.length)];

      color_ += colors_[Math.floor(Math.random() * colors_.length)];
      color_ += colors_[Math.floor(Math.random() * colors_.length)];
      color_ += colors_[Math.floor(Math.random() * colors_.length)];

      return `#${color_}`;
    };

    const set_ = (elm, obj) => {
      for (const k in obj) {
        if (Object.hasOwnProperty.call(obj, k)) {
          const el = obj[k];

          elm.style.setProperty(k, el);
        }
      }
    };

    let colorData = [
      {
        "--src-color": "#d09d25",
        "--active-bg-color": "#d09d25",
        "--toolHigglightBxBg": "#d09d2525",
        "--active-btn-bg": "#d09d25",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#d09d2525",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#d09d25",
        "--inactive1-btn-bg": "#d09d2525",
        "--svg-spcl": "#d09d25",
        "--inboxSVG-active-color": "#d09d25",
        "--body-bg": "#d09d2505",
      },
      {
        "--src-color": "#13fc58",
        "--active-bg-color": "#13fc58",
        "--toolHigglightBxBg": "#13fc5825",
        "--active-btn-bg": "#13fc58",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#13fc5825",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#13fc58",
        "--inactive1-btn-bg": "#13fc5825",
        "--svg-spcl": "#13fc58",
        "--inboxSVG-active-color": "#13fc58",
        "--body-bg": "#13fc5805",
      },
      {
        "--src-color": "#fc4b77",
        "--active-bg-color": "#fc4b77",
        "--toolHigglightBxBg": "#fc4b7725",
        "--active-btn-bg": "#fc4b77",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#fc4b7725",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#fc4b77",
        "--inactive1-btn-bg": "#fc4b7725",
        "--svg-spcl": "#fc4b77",
        "--inboxSVG-active-color": "#fc4b77",
        "--body-bg": "#fc4b7705",
      },
      {
        "--src-color": "#eaf38c",
        "--active-bg-color": "#eaf38c",
        "--toolHigglightBxBg": "#eaf38c25",
        "--active-btn-bg": "#eaf38c",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#eaf38c25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#eaf38c",
        "--inactive1-btn-bg": "#eaf38c25",
        "--svg-spcl": "#eaf38c",
        "--inboxSVG-active-color": "#eaf38c",
        "--body-bg": "#eaf38c05",
      },
      {
        "--src-color": "#054635",
        "--active-bg-color": "#054635",
        "--toolHigglightBxBg": "#05463525",
        "--active-btn-bg": "#054635",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#05463525",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#054635",
        "--inactive1-btn-bg": "#05463525",
        "--svg-spcl": "#054635",
        "--inboxSVG-active-color": "#054635",
        "--body-bg": "#05463505",
      },
      {
        "--src-color": "#992857",
        "--active-bg-color": "#992857",
        "--toolHigglightBxBg": "#99285725",
        "--active-btn-bg": "#992857",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#99285725",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#992857",
        "--inactive1-btn-bg": "#99285725",
        "--svg-spcl": "#992857",
        "--inboxSVG-active-color": "#992857",
        "--body-bg": "#99285705",
      },
      {
        "--src-color": "#a2abc6",
        "--active-bg-color": "#a2abc6",
        "--toolHigglightBxBg": "#a2abc625",
        "--active-btn-bg": "#a2abc6",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#a2abc625",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#a2abc6",
        "--inactive1-btn-bg": "#a2abc625",
        "--svg-spcl": "#a2abc6",
        "--inboxSVG-active-color": "#a2abc6",
        "--body-bg": "#a2abc605",
      },
      {
        "--src-color": "#4c9b04",
        "--active-bg-color": "#4c9b04",
        "--toolHigglightBxBg": "#4c9b0425",
        "--active-btn-bg": "#4c9b04",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#4c9b0425",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#4c9b04",
        "--inactive1-btn-bg": "#4c9b0425",
        "--svg-spcl": "#4c9b04",
        "--inboxSVG-active-color": "#4c9b04",
        "--body-bg": "#4c9b0405",
      },
      {
        "--src-color": "#9e7b80",
        "--active-bg-color": "#9e7b80",
        "--toolHigglightBxBg": "#9e7b8025",
        "--active-btn-bg": "#9e7b80",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#9e7b8025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#9e7b80",
        "--inactive1-btn-bg": "#9e7b8025",
        "--svg-spcl": "#9e7b80",
        "--inboxSVG-active-color": "#9e7b80",
        "--body-bg": "#9e7b8005",
      },
      {
        "--src-color": "#c7f0f0",
        "--active-bg-color": "#c7f0f0",
        "--toolHigglightBxBg": "#c7f0f025",
        "--active-btn-bg": "#c7f0f0",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#c7f0f025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#c7f0f0",
        "--inactive1-btn-bg": "#c7f0f025",
        "--svg-spcl": "#c7f0f0",
        "--inboxSVG-active-color": "#c7f0f0",
        "--body-bg": "#c7f0f005",
      },
      {
        "--src-color": "#801fb7",
        "--active-bg-color": "#801fb7",
        "--toolHigglightBxBg": "#801fb725",
        "--active-btn-bg": "#801fb7",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#801fb725",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#801fb7",
        "--inactive1-btn-bg": "#801fb725",
        "--svg-spcl": "#801fb7",
        "--inboxSVG-active-color": "#801fb7",
        "--body-bg": "#801fb705",
      },
      {
        "--src-color": "#5837a2",
        "--active-bg-color": "#5837a2",
        "--toolHigglightBxBg": "#5837a225",
        "--active-btn-bg": "#5837a2",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#5837a225",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#5837a2",
        "--inactive1-btn-bg": "#5837a225",
        "--svg-spcl": "#5837a2",
        "--inboxSVG-active-color": "#5837a2",
        "--body-bg": "#5837a205",
      },
      {
        "--src-color": "#efadc6",
        "--active-bg-color": "#efadc6",
        "--toolHigglightBxBg": "#efadc625",
        "--active-btn-bg": "#efadc6",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#efadc625",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#efadc6",
        "--inactive1-btn-bg": "#efadc625",
        "--svg-spcl": "#efadc6",
        "--inboxSVG-active-color": "#efadc6",
        "--body-bg": "#efadc605",
      },
      {
        "--src-color": "#31db87",
        "--active-bg-color": "#31db87",
        "--toolHigglightBxBg": "#31db8725",
        "--active-btn-bg": "#31db87",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#31db8725",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#31db87",
        "--inactive1-btn-bg": "#31db8725",
        "--svg-spcl": "#31db87",
        "--inboxSVG-active-color": "#31db87",
        "--body-bg": "#31db8705",
      },
      {
        "--src-color": "#b46fd9",
        "--active-bg-color": "#b46fd9",
        "--toolHigglightBxBg": "#b46fd925",
        "--active-btn-bg": "#b46fd9",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#b46fd925",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#b46fd9",
        "--inactive1-btn-bg": "#b46fd925",
        "--svg-spcl": "#b46fd9",
        "--inboxSVG-active-color": "#b46fd9",
        "--body-bg": "#b46fd905",
      },
      {
        "--src-color": "#12c5c8",
        "--active-bg-color": "#12c5c8",
        "--toolHigglightBxBg": "#12c5c825",
        "--active-btn-bg": "#12c5c8",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#12c5c825",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#12c5c8",
        "--inactive1-btn-bg": "#12c5c825",
        "--svg-spcl": "#12c5c8",
        "--inboxSVG-active-color": "#12c5c8",
        "--body-bg": "#12c5c805",
      },
      {
        "--src-color": "#9ca50a",
        "--active-bg-color": "#9ca50a",
        "--toolHigglightBxBg": "#9ca50a25",
        "--active-btn-bg": "#9ca50a",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#9ca50a25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#9ca50a",
        "--inactive1-btn-bg": "#9ca50a25",
        "--svg-spcl": "#9ca50a",
        "--inboxSVG-active-color": "#9ca50a",
        "--body-bg": "#9ca50a05",
      },
      {
        "--src-color": "#ff011d",
        "--active-bg-color": "#ff011d",
        "--toolHigglightBxBg": "#ff011d25",
        "--active-btn-bg": "#ff011d",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#ff011d25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#ff011d",
        "--inactive1-btn-bg": "#ff011d25",
        "--svg-spcl": "#ff011d",
        "--inboxSVG-active-color": "#ff011d",
        "--body-bg": "#ff011d05",
      },
      {
        "--src-color": "#2058d2",
        "--active-bg-color": "#2058d2",
        "--toolHigglightBxBg": "#2058d225",
        "--active-btn-bg": "#2058d2",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#2058d225",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#2058d2",
        "--inactive1-btn-bg": "#2058d225",
        "--svg-spcl": "#2058d2",
        "--inboxSVG-active-color": "#2058d2",
        "--body-bg": "#2058d205",
      },
      {
        "--src-color": "#0b962a",
        "--active-bg-color": "#0b962a",
        "--toolHigglightBxBg": "#0b962a25",
        "--active-btn-bg": "#0b962a",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#0b962a25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#0b962a",
        "--inactive1-btn-bg": "#0b962a25",
        "--svg-spcl": "#0b962a",
        "--inboxSVG-active-color": "#0b962a",
        "--body-bg": "#0b962a05",
      },
      {
        "--src-color": "#443770",
        "--active-bg-color": "#443770",
        "--toolHigglightBxBg": "#44377025",
        "--active-btn-bg": "#443770",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#44377025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#443770",
        "--inactive1-btn-bg": "#44377025",
        "--svg-spcl": "#443770",
        "--inboxSVG-active-color": "#443770",
        "--body-bg": "#44377005",
      },
      {
        "--src-color": "#f8c6a9",
        "--active-bg-color": "#f8c6a9",
        "--toolHigglightBxBg": "#f8c6a925",
        "--active-btn-bg": "#f8c6a9",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#f8c6a925",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#f8c6a9",
        "--inactive1-btn-bg": "#f8c6a925",
        "--svg-spcl": "#f8c6a9",
        "--inboxSVG-active-color": "#f8c6a9",
        "--body-bg": "#f8c6a905",
      },
      {
        "--src-color": "#1ce15c",
        "--active-bg-color": "#1ce15c",
        "--toolHigglightBxBg": "#1ce15c25",
        "--active-btn-bg": "#1ce15c",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#1ce15c25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#1ce15c",
        "--inactive1-btn-bg": "#1ce15c25",
        "--svg-spcl": "#1ce15c",
        "--inboxSVG-active-color": "#1ce15c",
        "--body-bg": "#1ce15c05",
      },
      {
        "--src-color": "#6359b1",
        "--active-bg-color": "#6359b1",
        "--toolHigglightBxBg": "#6359b125",
        "--active-btn-bg": "#6359b1",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#6359b125",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#6359b1",
        "--inactive1-btn-bg": "#6359b125",
        "--svg-spcl": "#6359b1",
        "--inboxSVG-active-color": "#6359b1",
        "--body-bg": "#6359b105",
      },
      {
        "--src-color": "#10790a",
        "--active-bg-color": "#10790a",
        "--toolHigglightBxBg": "#10790a25",
        "--active-btn-bg": "#10790a",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#10790a25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#10790a",
        "--inactive1-btn-bg": "#10790a25",
        "--svg-spcl": "#10790a",
        "--inboxSVG-active-color": "#10790a",
        "--body-bg": "#10790a05",
      },
      {
        "--src-color": "#9777fd",
        "--active-bg-color": "#9777fd",
        "--toolHigglightBxBg": "#9777fd25",
        "--active-btn-bg": "#9777fd",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#9777fd25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#9777fd",
        "--inactive1-btn-bg": "#9777fd25",
        "--svg-spcl": "#9777fd",
        "--inboxSVG-active-color": "#9777fd",
        "--body-bg": "#9777fd05",
      },
      {
        "--src-color": "#ff806c",
        "--active-bg-color": "#ff806c",
        "--toolHigglightBxBg": "#ff806c25",
        "--active-btn-bg": "#ff806c",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#ff806c25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#ff806c",
        "--inactive1-btn-bg": "#ff806c25",
        "--svg-spcl": "#ff806c",
        "--inboxSVG-active-color": "#ff806c",
        "--body-bg": "#ff806c05",
      },
      {
        "--src-color": "#de36d5",
        "--active-bg-color": "#de36d5",
        "--toolHigglightBxBg": "#de36d525",
        "--active-btn-bg": "#de36d5",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#de36d525",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#de36d5",
        "--inactive1-btn-bg": "#de36d525",
        "--svg-spcl": "#de36d5",
        "--inboxSVG-active-color": "#de36d5",
        "--body-bg": "#de36d505",
      },
      {
        "--src-color": "#4a09f4",
        "--active-bg-color": "#4a09f4",
        "--toolHigglightBxBg": "#4a09f425",
        "--active-btn-bg": "#4a09f4",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#4a09f425",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#4a09f4",
        "--inactive1-btn-bg": "#4a09f425",
        "--svg-spcl": "#4a09f4",
        "--inboxSVG-active-color": "#4a09f4",
        "--body-bg": "#4a09f405",
      },
      {
        "--src-color": "#6d83c3",
        "--active-bg-color": "#6d83c3",
        "--toolHigglightBxBg": "#6d83c325",
        "--active-btn-bg": "#6d83c3",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#6d83c325",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#6d83c3",
        "--inactive1-btn-bg": "#6d83c325",
        "--svg-spcl": "#6d83c3",
        "--inboxSVG-active-color": "#6d83c3",
        "--body-bg": "#6d83c305",
      },
      {
        "--src-color": "#a2f1a8",
        "--active-bg-color": "#a2f1a8",
        "--toolHigglightBxBg": "#a2f1a825",
        "--active-btn-bg": "#a2f1a8",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#a2f1a825",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#a2f1a8",
        "--inactive1-btn-bg": "#a2f1a825",
        "--svg-spcl": "#a2f1a8",
        "--inboxSVG-active-color": "#a2f1a8",
        "--body-bg": "#a2f1a805",
      },
      {
        "--src-color": "#23905e",
        "--active-bg-color": "#23905e",
        "--toolHigglightBxBg": "#23905e25",
        "--active-btn-bg": "#23905e",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#23905e25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#23905e",
        "--inactive1-btn-bg": "#23905e25",
        "--svg-spcl": "#23905e",
        "--inboxSVG-active-color": "#23905e",
        "--body-bg": "#23905e05",
      },
      {
        "--src-color": "#0877a0",
        "--active-bg-color": "#0877a0",
        "--toolHigglightBxBg": "#0877a025",
        "--active-btn-bg": "#0877a0",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#0877a025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#0877a0",
        "--inactive1-btn-bg": "#0877a025",
        "--svg-spcl": "#0877a0",
        "--inboxSVG-active-color": "#0877a0",
        "--body-bg": "#0877a005",
      },
      {
        "--src-color": "#c28ba6",
        "--active-bg-color": "#c28ba6",
        "--toolHigglightBxBg": "#c28ba625",
        "--active-btn-bg": "#c28ba6",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#c28ba625",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#c28ba6",
        "--inactive1-btn-bg": "#c28ba625",
        "--svg-spcl": "#c28ba6",
        "--inboxSVG-active-color": "#c28ba6",
        "--body-bg": "#c28ba605",
      },
      {
        "--src-color": "#32b93f",
        "--active-bg-color": "#32b93f",
        "--toolHigglightBxBg": "#32b93f25",
        "--active-btn-bg": "#32b93f",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#32b93f25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#32b93f",
        "--inactive1-btn-bg": "#32b93f25",
        "--svg-spcl": "#32b93f",
        "--inboxSVG-active-color": "#32b93f",
        "--body-bg": "#32b93f05",
      },
      {
        "--src-color": "#dc10f0",
        "--active-bg-color": "#dc10f0",
        "--toolHigglightBxBg": "#dc10f025",
        "--active-btn-bg": "#dc10f0",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#dc10f025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#dc10f0",
        "--inactive1-btn-bg": "#dc10f025",
        "--svg-spcl": "#dc10f0",
        "--inboxSVG-active-color": "#dc10f0",
        "--body-bg": "#dc10f005",
      },
      {
        "--src-color": "#749fa0",
        "--active-bg-color": "#749fa0",
        "--toolHigglightBxBg": "#749fa025",
        "--active-btn-bg": "#749fa0",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#749fa025",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#749fa0",
        "--inactive1-btn-bg": "#749fa025",
        "--svg-spcl": "#749fa0",
        "--inboxSVG-active-color": "#749fa0",
        "--body-bg": "#749fa005",
      },
      {
        "--src-color": "#de762d",
        "--active-bg-color": "#de762d",
        "--toolHigglightBxBg": "#de762d25",
        "--active-btn-bg": "#de762d",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#de762d25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#de762d",
        "--inactive1-btn-bg": "#de762d25",
        "--svg-spcl": "#de762d",
        "--inboxSVG-active-color": "#de762d",
        "--body-bg": "#de762d05",
      },
      {
        "--src-color": "#9c5b86",
        "--active-bg-color": "#9c5b86",
        "--toolHigglightBxBg": "#9c5b8625",
        "--active-btn-bg": "#9c5b86",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#9c5b8625",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#9c5b86",
        "--inactive1-btn-bg": "#9c5b8625",
        "--svg-spcl": "#9c5b86",
        "--inboxSVG-active-color": "#9c5b86",
        "--body-bg": "#9c5b8605",
      },
      {
        "--src-color": "#5cb5d2",
        "--active-bg-color": "#5cb5d2",
        "--toolHigglightBxBg": "#5cb5d225",
        "--active-btn-bg": "#5cb5d2",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#5cb5d225",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#5cb5d2",
        "--inactive1-btn-bg": "#5cb5d225",
        "--svg-spcl": "#5cb5d2",
        "--inboxSVG-active-color": "#5cb5d2",
        "--body-bg": "#5cb5d205",
      },
      {
        "--src-color": "#8310ab",
        "--active-bg-color": "#8310ab",
        "--toolHigglightBxBg": "#8310ab25",
        "--active-btn-bg": "#8310ab",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#8310ab25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#8310ab",
        "--inactive1-btn-bg": "#8310ab25",
        "--svg-spcl": "#8310ab",
        "--inboxSVG-active-color": "#8310ab",
        "--body-bg": "#8310ab05",
      },
      {
        "--src-color": "#477932",
        "--active-bg-color": "#477932",
        "--toolHigglightBxBg": "#47793225",
        "--active-btn-bg": "#477932",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#47793225",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#477932",
        "--inactive1-btn-bg": "#47793225",
        "--svg-spcl": "#477932",
        "--inboxSVG-active-color": "#477932",
        "--body-bg": "#47793205",
      },
      {
        "--src-color": "#2ed6d2",
        "--active-bg-color": "#2ed6d2",
        "--toolHigglightBxBg": "#2ed6d225",
        "--active-btn-bg": "#2ed6d2",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#2ed6d225",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#2ed6d2",
        "--inactive1-btn-bg": "#2ed6d225",
        "--svg-spcl": "#2ed6d2",
        "--inboxSVG-active-color": "#2ed6d2",
        "--body-bg": "#2ed6d205",
      },
      {
        "--src-color": "#3c98b4",
        "--active-bg-color": "#3c98b4",
        "--toolHigglightBxBg": "#3c98b425",
        "--active-btn-bg": "#3c98b4",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#3c98b425",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#3c98b4",
        "--inactive1-btn-bg": "#3c98b425",
        "--svg-spcl": "#3c98b4",
        "--inboxSVG-active-color": "#3c98b4",
        "--body-bg": "#3c98b405",
      },
      {
        "--src-color": "#dcaaca",
        "--active-bg-color": "#dcaaca",
        "--toolHigglightBxBg": "#dcaaca25",
        "--active-btn-bg": "#dcaaca",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#dcaaca25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#dcaaca",
        "--inactive1-btn-bg": "#dcaaca25",
        "--svg-spcl": "#dcaaca",
        "--inboxSVG-active-color": "#dcaaca",
        "--body-bg": "#dcaaca05",
      },
      {
        "--src-color": "#ac784e",
        "--active-bg-color": "#ac784e",
        "--toolHigglightBxBg": "#ac784e25",
        "--active-btn-bg": "#ac784e",
        "--active-btn-clr": "#fff",
        "--inactive2-btn-bg": "#ac784e25",
        "--inactive2-btn-clr": "#83838e",
        "--inactive1-btn-clr": "#ac784e",
        "--inactive1-btn-bg": "#ac784e25",
        "--svg-spcl": "#ac784e",
        "--inboxSVG-active-color": "#ac784e",
        "--body-bg": "#ac784e05",
      },
    ];

    /*for (let i = 0; i < 46; i++) {
      let sameRNDM = random_();

      colorData.unshift({
        "--src-color": sameRNDM,

        "--active-bg-color": sameRNDM,

        "--toolHigglightBxBg": `${sameRNDM}25`,

        "--active-btn-bg": sameRNDM,
        "--active-btn-clr": `#fff`,

        "--inactive2-btn-bg": `${sameRNDM}25`,
        "--inactive2-btn-clr": `#83838e`,

        "--inactive1-btn-clr": sameRNDM,
        "--inactive1-btn-bg": `${sameRNDM}25`,

        "--svg-spcl": sameRNDM,
        "--inboxSVG-active-color": sameRNDM,

        "--body-bg": `${sameRNDM}05`,
      });
    }

    console.log(colorData);*/

    if (Number(searchParams.get("c")) > 0) {
      let color_count = Number(searchParams.get("c")) - 1;

      if (color_count >= colorData.length) {
        color_count = colorData.length - 1;
      }

      set_(qs_a(":root")[0], colorData[color_count]);
    }
  }, []);

  return (
    <div className="App d-flx flx-y y-x-c">
      <TopBar />
      <BottomBar />
    </div>
  );
}

export default App;
